Retrieve an expense
curl --request GET \
--url https://api.sellfern.com/expenses/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sellfern.com/expenses/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sellfern.com/expenses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 42,
"store_id": "<string>",
"store_name": "<string>",
"category": "Payroll",
"amount": 123,
"original_amount": 123,
"original_currency": "USD",
"date": "2023-12-25",
"description": "<string>",
"base_amount": 123,
"bhxh_amount": 123,
"bhxh_rate": 123,
"bhxh_type": "<string>",
"employee_name": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "unauthorized",
"message": "Missing or invalid API key."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "missing_scope",
"message": "Missing required scope."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "not_found",
"message": "Resource not found."
},
"meta": {
"request_id": "<string>"
}
}{
"success": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded."
},
"meta": {
"request_id": "<string>"
}
}Expenses
Retrieve an expense
Retrieves one expense by ID. Requires expenses:read.
GET
/
expenses
/
{id}
Retrieve an expense
Authorizations
Sellfern public API key scoped to the authenticated organization. Do not use user JWTs for public integrations.
Path Parameters
Expense ID.
Required range:
x >= 1⌘I
